package config

type Configuration struct {
	Username        string   `json:"name"`
	Email           string   `json:"email"`
	GandiKey        string   `json:"gandikey"`
	Domains         []string `json:"domains"`
	RouterLogin     string   `json:"router_login"`
	RouterPassword  string   `json:"router_password"`
	RouterStatusUrl string   `json:"router_status_url"`
	WanIPRegex      string   `json:"wan_ip_regex"`
	MailSettings    *struct {
		Sender       string   `json:"sender"`
		To           []string `json:"to"`
		SmtpHost     string   `json:"smtp_host"`
		SmtpLogin    string   `json:"smtp_login"`
		SmtpPassword string   `json:"smtp_password"`
		SmtpPort     int      `json:"smtp_port"`
	} `json:"mail_settings"`
}
